Bug 150034 - LibreOffice Calc hangs on opening the particular file with pathological chart
Summary: LibreOffice Calc hangs on opening the particular file with pathological chart
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.1 target:7.4.2
Keywords: bibisected, bisected, filter:xls, regression
Depends on:
Blocks:
 
Reported: 2022-07-18 05:50 UTC by shakanoss
Modified: 2022-09-09 13:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
LibreOffice hangs with this file (195.50 KB, application/vnd.ms-excel)
2022-07-18 05:51 UTC, shakanoss
Details
LibreOffice hangs with this file.xlsx (97.50 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2022-07-18 05:53 UTC, shakanoss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description shakanoss 2022-07-18 05:50:21 UTC
Description:
LibreOffice Calc hangs on opening the particular file

Steps to Reproduce:
Try opening the attached file.


Actual Results:
The program hangs on opening the attached file.

Expected Results:
The program opens the attached file.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.4.2 (x64) / LibreOffice Community
Build ID: 728fec16bd5f605073805c3c9e7c4212a0120dc5
CPU threads: 16; OS: Windows 10.0 Build 22000; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded
Comment 1 shakanoss 2022-07-18 05:51:03 UTC
Created attachment 181296 [details]
LibreOffice hangs with this file
Comment 2 shakanoss 2022-07-18 05:53:07 UTC
Created attachment 181297 [details]
LibreOffice hangs with this file.xlsx
Comment 3 Mike Kaganski 2022-07-18 06:29:43 UTC Comment hidden (obsolete)
Comment 4 Mike Kaganski 2022-07-18 06:46:06 UTC
Ah, sorry - tested with XLSX and hurried to report "does not hang", but XLS does hang.
Comment 5 Timur 2022-07-19 15:23:04 UTC
Fileopen XLS 1st time > 2nd time.
No repro 6.1, fast open 10s. Also fast 6.2 12s>3s. Then 6.3 slow open 75s>75s. 
Later 7.5+ very long. So double regression.

In 6.3 this was change from fast open and close > freeze after open, but only with OOO_EXIT_POST_STARTUP:
author	Dennis Francis <dennis.francis@collabora.com>	2019-03-20
committer	Michael Meeks <michael.meeks@collabora.com>	2019-03-21
commit 769832cc1f592b1d0c39cda7795fe4548fc97566
Increase the life-cycle of threads in thread-pool...

Next change in 6.3 was fix from bug 125691 for OOO_EXIT_POST_STARTUP, but this XLS opens slow also without it:
commit 00c876b1d16777586bc3e4b0c65da193489a7594	[log]
author	Dennis Francis <dennis.francis@collabora.com>	Fri Jun 14 2019
committer	Michael Stahl <Michael.Stahl@cib.de>	Mon Jun 17 2019 
tdf#125691: use _exit() instead of exit()...

2nd regression should also be found before CCing.
Comment 6 Timur 2022-07-20 12:06:58 UTC
XLS attachment 181296 [details] fileopen slowdown in 6.3 from 3s to 75s is this:
author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-04-23 
commit 10c934147d469965dba6abc78efd02759a010b8e
tdf#113266 slow opening XLS with 45 MB drawing

Noel, please see.
Comment 7 Timur 2022-07-20 14:12:22 UTC
And finally XLS fileopen hangs from 7.0 in:
commit dc219b0fe04d07a1e5c7c4c37bff94c29d4a1171	[log]
author	Tünde Tóth <tundeth@gmail.com>	Mon Jun 15 2020 
tdf#126425 Chart: fix missing legend with exceeding text

CC Tünde please see.
Comment 8 Commit Notification 2022-08-01 17:00:30 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/258a8d133d0548c7af51f4852260e9969df288fc

tdf#150034 very slow opening pathological chart

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Noel Grandin 2022-08-01 17:18:23 UTC
Noting that this is a pathological document, It has an entire essay in the chart legend.

I have fixed the very long opening caused by the chart code trying to shorten the legend.

Timur, are you sure about the commit identified in comment 6?
Comment 10 Aron Budea 2022-08-02 04:29:27 UTC
(In reply to Noel Grandin from comment #9)
> Timur, are you sure about the commit identified in comment 6?
I double-checked with the 6.3 Linux bibisect repo, and can confirm Timur's result.
Comment 11 Mike Kaganski 2022-08-02 06:01:11 UTC
(In reply to Noel Grandin from comment #9)

Also using Windows 6.3 repo, and having Calc pre-loaded, to exclude effect of application initialization time:
 a08401155a0b4b49878e8e50d39b2fd3e5278779:
real    0m1.254s
user    0m0.000s
sys     0m0.015s
 10c934147d469965dba6abc78efd02759a010b8e:
real    2m13.739s
user    0m0.000s
sys     0m0.015s
Comment 12 Commit Notification 2022-08-02 11:51:35 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/613f6e75fbfcc024fc9c3732261cbf2cda6f4ad8

tdf#150034 very slow opening pathological chart

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Timur 2022-08-09 14:06:03 UTC
XLS open is now fast, 3s like before, and it's better then with 6.2 because now 1st sheet with chart can be clicked, while before click would hang LO. 
So this bug was resolved, thanks Noel.

Another issue may be that XLSX is somewhat slow to open, 50 seconds for me, but that's probably because of the following. 

Remaining problem is that chart from 1st sheet isn't shown (empty) from XLS or is wrong (garbled) from XLSX.
Comment 14 Commit Notification 2022-08-09 16:19:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/7ef4ce12e52b699e31009e8bca8c57dd710de829

tdf#150034 very slow opening pathological chart

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-09-08 08:33:16 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/938d17969cd0fd29cf4edd1e0365dd784ca59d8b

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2022-09-08 08:33:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7aa5e94b712186bf2f65be39ea7c8f7978f1144b

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2022-09-09 13:32:17 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-1":

https://git.libreoffice.org/core/commit/99704bf14dae2e5ed7fd1bcf382921b46867c380

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.